com.rscja.system

## Interface ISystemInterfaces

- All Known Implementing Classes:
    SysInterfacesOfC66P_qcom, SysInterfacesOfC7XA11_mtk

      public interface ISystemInterfaces

  系统控制接口,目前只支持c66

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLiveAPP(java.lang.String[] packageName)` 增加保活APP
    `java.util.List<java.lang.String>` | `getAppWhiteList()` 获取App白名单列表
    `java.lang.String` | `getSN()` 获取SN号
    `boolean` | `isEnable4G()` 判断4G是否启用
    `boolean` | `isEnableBackKey()` 返回按键是否启用
    `boolean` | `isEnableBlueth()` 判断Blueth是否启用
    `boolean` | `isEnableCamera()` 判断Camera是否启用
    `boolean` | `isEnableHomeKey()` 判断Home按键是否启用
    `boolean` | `isEnableMenuKey()` 判断MenuKey是否启用
    `boolean` | `isEnableNavigationBar()` 判断虚拟导航栏是否启用
    `boolean` | `isEnableOtg()` 判断Otg是否启用
    `boolean` | `isEnablePanelBar()` 判断下拉面板是否启用
    `boolean` | `isEnableRecentKey()` 最近APP使用记录按键是否启用
    `boolean` | `isEnableScreensho()` 判断屏幕截图是否启用
    `boolean` | `isEnableSystemSettingButton()` 判断音量加减界面的设置按钮是否启用
    `boolean` | `isEnableWifi()` 判断wifi是否启用
    `void` | `removeLiveAPP(java.lang.String[] packageName)` 移除保活APP
    `void` | `sendContentToCursor(java.lang.String data)` 将数据发送到光标位置
    `boolean` | `setEnable4G(boolean enable)` 设置4G 禁用、启用
    `boolean` | `setEnableBackKey(boolean enable)` 返回按键 禁用、启用
    `boolean` | `setEnableBlueth(boolean enable)` 设置Blueth 禁用、启用
    `boolean` | `setEnableCamera(boolean enable)` 设置Camera 禁用、启用
    `boolean` | `setEnableHomeKey(boolean enable)` 设置Home按键禁用、启用
    `boolean` | `setEnableMenuKey(boolean enable)` 设置Menu按键 禁用、启用
    `boolean` | `setEnableNavigationBar(boolean enable)` 设置虚拟导航栏禁用、启用
    `boolean` | `setEnableOtg(boolean enable)` 设置OTG 禁用、启用
    `boolean` | `setEnablePanelBar(boolean enable)` 设置下拉面板禁用、启用
    `boolean` | `setEnableRecentKey(boolean enable)` 最近APP使用记录按键 禁用、启用
    `boolean` | `setEnableScreensho(boolean enable)` 设置屏幕截图 禁用、启用
    `boolean` | `setEnableSystemSettingButton(boolean enable)` 设置音量加减界面的设置按钮的禁用、启用
    `boolean` | `setEnableWifi(boolean enable)` 设置wifi 禁用、启用,需要申请android.permission.CHANGE_WIFI_STATE权限
    `void` | `setSystemTime(long timestamp)` 设置系统时间
    `void` | `silentInstall(java.lang.String apkPath)` 静默安装apk
    `void` | `silentUninstall(java.lang.String apkPackage)` 静默卸载apk

- - ### Method Detail

    - #### isEnableSystemSettingButton

          boolean isEnableSystemSettingButton()

      判断音量加减界面的设置按钮是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableSystemSettingButton

          boolean setEnableSystemSettingButton(boolean enable)

      设置音量加减界面的设置按钮的禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableNavigationBar

          boolean isEnableNavigationBar()

      判断虚拟导航栏是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableNavigationBar

          boolean setEnableNavigationBar(boolean enable)

      设置虚拟导航栏禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableHomeKey

          boolean isEnableHomeKey()

      判断Home按键是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableHomeKey

          boolean setEnableHomeKey(boolean enable)

      设置Home按键禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnablePanelBar

          boolean isEnablePanelBar()

      判断下拉面板是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnablePanelBar

          boolean setEnablePanelBar(boolean enable)

      设置下拉面板禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### setEnableWifi

          boolean setEnableWifi(boolean enable)

      设置wifi 禁用、启用,需要申请android.permission.CHANGE_WIFI_STATE权限
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableWifi

          boolean isEnableWifi()

      判断wifi是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableMenuKey

          boolean setEnableMenuKey(boolean enable)

      设置Menu按键 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableMenuKey

          boolean isEnableMenuKey()

      判断MenuKey是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnable4G

          boolean setEnable4G(boolean enable)

      设置4G 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnable4G

          boolean isEnable4G()

      判断4G是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableCamera

          boolean setEnableCamera(boolean enable)

      设置Camera 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableCamera

          boolean isEnableCamera()

      判断Camera是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableBlueth

          boolean setEnableBlueth(boolean enable)

      设置Blueth 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableBlueth

          boolean isEnableBlueth()

      判断Blueth是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableOtg

          boolean setEnableOtg(boolean enable)

      设置OTG 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableOtg

          boolean isEnableOtg()

      判断Otg是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableScreensho

          boolean setEnableScreensho(boolean enable)

      设置屏幕截图 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableScreensho

          boolean isEnableScreensho()

      判断屏幕截图是否启用
      Returns:
        true:启用 false:禁用

    - #### isEnableBackKey

          boolean isEnableBackKey()

      返回按键是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableBackKey

          boolean setEnableBackKey(boolean enable)

      返回按键 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableRecentKey

          boolean isEnableRecentKey()

      最近APP使用记录按键是否启用
      Returns:
        true:启用 false:禁用

    - #### setEnableRecentKey

          boolean setEnableRecentKey(boolean enable)

      最近APP使用记录按键 禁用、启用
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### getSN

          java.lang.String getSN()

      获取SN号
      Returns:
        返回sn号

    - #### setSystemTime

          void setSystemTime(long timestamp)

      设置系统时间
      Parameters:
        `timestamp` - 时间戳

    - #### addLiveAPP

          void addLiveAPP(java.lang.String[] packageName)

      增加保活APP
      Parameters:
        `packageName` - App包名

    - #### removeLiveAPP

          void removeLiveAPP(java.lang.String[] packageName)

      移除保活APP
      Parameters:
        `packageName` - App包名

    - #### silentInstall

          void silentInstall(java.lang.String apkPath)

      静默安装apk
      Parameters:
        `apkPath` - apk路径

    - #### silentUninstall

          void silentUninstall(java.lang.String apkPackage)

      静默卸载apk
      Parameters:
        `apkPackage` - apk包名

    - #### getAppWhiteList

          java.util.List<java.lang.String> getAppWhiteList()

      获取App白名单列表

    - #### sendContentToCursor

          void sendContentToCursor(java.lang.String data)

      将数据发送到光标位置